#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
DESIGN_DIR="$1"
DESIGN_DIR=${DESIGN_DIR%/}
if [ ! -d "$DESIGN_DIR" ]; then
    echo Directory "$DESIGN_DIR" not found
    exit 1
fi

pushd "${DESIGN_DIR}"
    DESIGN_DIR=$(pwd)
    DESIGN=${DESIGN_DIR##*/}

    x=$(ls *.xsa|wc -l)
    if [ $x -ne 1 ] ; then
        echo $DESIGN_DIR: Need single XSA file in directory, counted "'$x'"
        exit 1
    fi
    DESIGN_XSA="$(echo *.xsa)"
    DESIGN_XSA="${DESIGN_DIR}/${DESIGN_XSA}"

    x=$(ls *.pdi|egrep -v '_presynth\.pdi' |wc -l)
    if [ $x -ne 1 ] ; then
        echo $DESIGN_DIR: Need single Vivado PDI file in directory, counted "'$x'"
        exit 1
    fi
    DESIGN_PDI="$(ls *.pdi|egrep -v '_presynth\.pdi')"
    DESIGN_PDI="${DESIGN_DIR}/${DESIGN_PDI}"
popd
