#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
set -x
set -e
TOP=..
OUTPUT="${TOP}/x86_app/x86_app"

gcc \
    -O3 -g0 \
    -I ${TOP}/common \
    -I ${TOP}/x86_app \
    -fno-strict-aliasing -ffunction-sections -fdata-sections -flto \
    -Wall -pedantic \
    -pthread \
    -static \
    ${TOP}/common/crc32.c \
    ${TOP}/common/protocol.c \
    ${TOP}/common/do_output.c \
    ${TOP}/common/output.c \
    ${TOP}/common/r5_pef.c \
    ${TOP}/x86_app/x86_util.c \
    ${TOP}/x86_app/x86_csv.c \
    ${TOP}/x86_app/x86_r5_sim.c \
    ${TOP}/x86_app/x86_r5_device.c \
    ${TOP}/x86_app/x86_device.c \
    ${TOP}/x86_app/x86_devinfo.c \
    ${TOP}/x86_app/x86_program.c \
    ${TOP}/x86_app/x86_r5_comms.c \
    ${TOP}/x86_app/x86_app.c \
    -o "${OUTPUT}"
strip --strip-all "${OUTPUT}"
ls -l "${OUTPUT}"
